Subject: Re: [PATCH] t0050: remove the unused $test_case variable

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 07 Feb 2018 09:07:49 +0100

On Wed, Feb 07 2018, Johannes Sixt jotted:

> Am 07.02.2018 um 00:13 schrieb Ævar Arnfjörð Bjarmason:
>> The $test_case variable hasn't been used since
>> decd3c0c28 ("t0050-*.sh: mark the rename (case change) test as
>> passing", 2014-11-28) when its last user went away.
>>
>> Let's remove the "say" as well, since it's obvious from subsequent
>> output that we're testing on a case sensitive filesystem.
>
> Am I misunderstanding the message? I think it reports properties of
> the test environment. And the tests do run on case-insensitive
> filesystems. IMO, the message should be kept.

It's obvious from subsequent output whether the FS is case sensitive or
not, so I thought it was redundant to keep this report at the top since
we didn't have the variable setting anymore.